## com.imcode.imcms.mapping
Class DocumentSavingVisitor

    java.lang.Object
      imcode.server.document.DocumentVisitor
          com.imcode.imcms.mapping.DocumentStoringVisitor
              com.imcode.imcms.mapping.DocumentSavingVisitor

    public class DocumentSavingVisitor

extends DocumentStoringVisitor

Field Summary

Fields inherited from class com.imcode.imcms.mapping.DocumentStoringVisitor
`services`

Constructor Summary
`DocumentSavingVisitor(DocumentDomainObject documentInDatabase, ImcmsServices services, UserDomainObject user)`

Method Summary
`void` `visitHtmlDocument(HtmlDocumentDomainObject document)`
`void` `visitTextDocument(TextDocumentDomainObject textDocument)`
`void` `visitUrlDocument(UrlDocumentDomainObject document)`

Methods inherited from class com.imcode.imcms.mapping.DocumentStoringVisitor
`getFileForFileDocumentFile, saveFileDocumentFile, updateTextDocumentContentLoops, updateTextDocumentMenus, updateTextDocumentText, visitFileDocument`

Methods inherited from class imcode.server.document.DocumentVisitor
`visitOtherDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentSavingVisitor

    public DocumentSavingVisitor(DocumentDomainObject documentInDatabase,
                                 ImcmsServices services,
                                 UserDomainObject user)

Method Detail

### visitHtmlDocument

    public void visitHtmlDocument(HtmlDocumentDomainObject document)

  Overrides:
    `visitHtmlDocument` in class `DocumentVisitor`

### visitUrlDocument

    public void visitUrlDocument(UrlDocumentDomainObject document)

  Overrides:
    `visitUrlDocument` in class `DocumentVisitor`

### visitTextDocument

    public void visitTextDocument(TextDocumentDomainObject textDocument)

  Overrides:
    `visitTextDocument` in class `DocumentVisitor`